Draft Trimex

From FreeCAD Documentation
This page is a translated version of the page Draft Trimex and the translation is 70% complete.
Outdated translations are marked like this.

Draft Trimex

Menüeintrag
Änderung → Trimex
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
T R
Eingeführt in Version
-
Siehe auch
Part Extrudieren

Beschreibung

Das Werkzeug Draft Trimex beschneidet oder verlängert ein ausgewähltes Objekt. Schnittstellen mit einem anderen Objekt können zum Bestimmen neuer Endpunkte verwendet werden. Der Befehl kann auch verwendet werden, um eine Fläche zu extrudieren; in so einem Fall erstellt er ein Part Extrude-Objekt.

Oben: ein Draft-Draht verlängert und dann beschnitten.
Unten: eine Fläche zu einem Festkörper extrudiert.

Beschneiden oder verlängern

Anwendung

  1. Wahlweise ein Objekt auswählen. Das Objekt muss eine Draft-Linie, eine Draft-Polylinie, ein Draft-Bogen oder ein Draft-Kreis sein (nur diese lassen sich trimmen). Ist das ausgewählte Objekt geschlossen, muss seine Daten-EigenschaftMake Face auf false gesetzt werden.
  2. Es gibt mehrere Möglichkeiten den Befehl aufzurufen:
    • Die Schaltfläche Trimex drücken.
    • Den Menüeintrag Änderung → Trimex auswählen.
    • Das Tastaturkürzel T dann R.
  3. Wurde noch kein Objekt ausgewählt: Ein Objekt in der 3D-Ansicht auswählen.
  4. Der Aufgabenbereich Trimex wird geöffnet. Siehe Optionen für weitere Informationen.
  5. Den Mauszeiger in der 3D-Ansicht bewegen, damit die Vorschau dem gewünschten Ergebnis entspricht. Wenn nötig, die unter Optionen beschriebenen Auswahltasten verwenden.
  6. Eine der folgenden Möglichkeiten ausführen:
    • Einen Punkt in der 3D-Ansicht auswählen.
    • Einen Abstand oder einen Winkel eingeben. Der Abstand ist ein Delta-Abstand. Diese Option funktioniert nicht wenn Auswahltasten verwendet werden.
    • Den Mauszeiger über eine Kante, die zu einem anderen Objekt gehört, bewegen und klicken, wenn diese hervorgehoben wird, um das ausgewählte Objekt zu beschneiden bzw. zu verlängern, mit der hervorgehobenen Kante als neuen Endpunkt. Beim Beschneiden wird das standardmäßige Ergebnis von der Projektion des Punktes, an dem die Schnittlinie ausgewählt wurde, auf das zu beschneidende Objekt bestimmt. Dabei ist zu beachten, dass Draft-Fangfunktionen hier einen unschönen Einfluss haben können. In einigen Fällen kann es nützlich sein, sie zeitweilig abzuschalten.

Optionen

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Hold down Alt to invert the default result of the command.
  • Hold down Shift to restrict the operation to the current segment of a Draft Wire.
  • Press S to switch Draft snapping on or off.

Here is an example to explain the modifier keys. The left edge or the bottom edge of the U-shaped wire was extended. All Draft Snaps were turned off.

  1. Der Bogen wurde nahe der unteren linken Ecke des Drahtes angeklickt. Dies ist das Standardmäßige Ergebnis.
  2. Alt wurde gedrückt gehalten, während der Bogen nahe der unteren linken Ecke des Drahtes angeklickt wurde.
  3. Y wurde gedrückt und Während der Mauszeiger über der Linken Kante schwebte, wurde Shift gedrückt gehalten und dann der Bogen angeklickt. Das Drücken von Y ist nur für Kanten erforderlich, die mehr oder weniger parallel zur Y-Achse sind.

Extrudieren

Anwendung

Siehe auch: Draft Fangen und Draft Beschränken.

  1. It can be helpful to first change the Draft working plane so that it is not coplanar with the face you want to extrude.
  2. Optionally select a single face or an object with a single face.
  3. There are several ways to invoke the command:
    • Press the Draft Trimex button.
    • Select the Modification → Trimex option from the menu.
    • Use the keyboard shortcut: T then R.
  4. If you have not yet selected an object or a face: select an object with a single face in the 3D view.
  5. The Trimex task panel opens. See Options for more information.
  6. To define the extrusion direction and distance do one of the following:
    • Pick a point in the 3D view that does no lie on the same plane as the face.
    • Make sure the pointer is on the correct side of the face in the 3D view and enter a Distance.

Optionen

The modifier key mentioned here can be changed. See Draft Preferences.

  • Hold Shift to extrude in a direction that is not parallel to the normal of the face.

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Es gibt keine Python-Methode zum Trimmen von Objekten. Um Objekte zu extrudieren, wird die Methode extrude des Draft-Moduls verwendet.

extrusion = extrude(obj, vector, solid=False)
  • obj is the object to be extruded.
  • vector is the extrusion direction and distance.
  • If solid is True a solid is created instead of a shell.
  • extrusion is returned with the created object.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()